// Format string constant for client-side javascript.
// Indicies:
//  0 - Div ClientID
//  1 - ClientID Separator
//  2 - Info Suffix
//  3 - Warnings Suffix
//  4 - Errors Suffix
//  5 - Info Class
//  6 - Warnings Class
//  7 - Errors Class

//var ClientSideMessageInfo =
//{
//	DivClientID: "",
//	ClientIDSeparator: "",
//	InfoSuffix: "",
//	WarningsSuffix: "",
//	ErrorsSuffix: "",
//	InfoClass: "",
//	WarningsClass: "",
//	ErrorsClass: ""
//};

function FormatForMessageDisplay(fomatString) {
	return String.format(fomatString,
		window.PageMessagesListScript.DivClientID,
		window.PageMessagesListScript.ClientIDSeparator,
		window.PageMessagesListScript.InfoSuffix,
		window.PageMessagesListScript.WarningsSuffix,
		window.PageMessagesListScript.ErrorsSuffix,
		window.PageMessagesListScript.InfoClass,
		window.PageMessagesListScript.WarningsClass,
		window.PageMessagesListScript.ErrorsClass);
}

function DisplayMessage(message) {
	var messageString = message.toString();
	if (messageString.length > 0) {
		var messageLi = '<li>' + messageString + '</li>\n';
		var jQueryDiv = $(FormatForMessageDisplay("#{0}"));
		var jQueryInfoUl = $(FormatForMessageDisplay("#{0}{1}{2}"));
		if (!(jQueryInfoUl.length > 0)) {
			var className = FormatForMessageDisplay('{5}');
			if (className.length > 0) {
				jQueryDiv.append(FormatForMessageDisplay('<ul id="{0}{1}{2}" class="' + className + '">\n</ul>\n'));
			}
			else {
				jQueryDiv.append(FormatForMessageDisplay('<ul id="{0}{1}{2}">\n</ul>\n'));
			}
			var jQueryInfoNewUl = $(FormatForMessageDisplay("#{0}{1}{2}"));
			if (jQueryInfoNewUl.length > 0) {
				jQueryInfoNewUl.append(messageLi);
			}
		}
		else {
			var exists = false;
			jQueryInfoUl.children('li').each(function () {
				if ($(this).text() == messageString) {
					exists = true;
				}
			});
			if (!exists) {
				jQueryInfoUl.append(messageLi);
			}
		}
	}
}

function DisplayWarning(message) {
	var messageString = message.toString();
	if (messageString.length > 0) {
		var messageLi = '<li>' + messageString + '</li>\n';
		var jQueryDiv = $(FormatForMessageDisplay("#{0}"));
		var jQueryErrorsUl = $(FormatForMessageDisplay("#{0}{1}{4}"));
		var jQueryWarningsUl = $(FormatForMessageDisplay("#{0}{1}{3}"));
		var jQueryInfoUl = $(FormatForMessageDisplay("#{0}{1}{2}"));
		if (!(jQueryWarningsUl.length > 0)) {
			var messageUl;
			var className = FormatForMessageDisplay('{6}');
			if (className.length > 0) {
				messageUl = FormatForMessageDisplay('<ul id="{0}{1}{3}" class="' + className + '">\n</ul>');
			}
			else {
				messageUl = FormatForMessageDisplay('<ul id="{0}{1}{3}">\n</ul>');
			}
			if (jQueryErrorsUl.length > 0) {
				jQueryErrorsUl.after('\n' + messageUl);
			}
			else if (jQueryInfoUl.length > 0) {
				jQueryInfoUl.before(messageUl + '\n');
			}
			else {
				jQueryDiv.append(messageUl + '\n');
			}
			var jQueryWarningsNewUl = $(FormatForMessageDisplay("#{0}{1}{3}"));
			if (jQueryWarningsNewUl.length > 0) {
				jQueryWarningsNewUl.append(messageLi);
			}
		}
		else {
			var exists = false;
			jQueryWarningsUl.children('li').each(function () {
				if ($(this).text() == messageString) {
					exists = true;
				}
			});
			if (!exists) {
				jQueryWarningsUl.append(messageLi);
			}
		}
	}
}

function DisplayError(message) {
	var messageString = message.toString();
	if (messageString.length > 0) {
		var messageLi = '<li>' + messageString + '</li>\n';
		var jQueryDiv = $(FormatForMessageDisplay("#{0}"));
		var jQueryErrorsUl = $(FormatForMessageDisplay("#{0}{1}{4}"));
		if (!(jQueryErrorsUl.length > 0)) {
			var className = FormatForMessageDisplay('{7}');
			if (className.length > 0) {
				jQueryDiv.prepend(FormatForMessageDisplay('\n<ul id="{0}{1}{4}" class="' + className + '">\n</ul>'));
			}
			else {
				jQueryDiv.prepend(FormatForMessageDisplay('\n<ul id="{0}{1}{4}">\n</ul>'));
			}
			var jQueryErrorsNewUl = $(FormatForMessageDisplay("#{0}{1}{4}"));
			if (jQueryErrorsNewUl.length > 0) {
				jQueryErrorsNewUl.append(messageLi);
			}
		}
		else {
			var exists = false;
			jQueryErrorsUl.children('li').each(function () {
				if ($(this).text() == messageString) {
					exists = true;
				}
			});
			if (!exists) {
				jQueryErrorsUl.append(messageLi);
			}
		}
	}
}